=== online-docs/C/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

depth=../..
name = online-docs/C

include $(depth)/Makefile.inc

texi_m4_files = $(wildcard *.texi.m4)
texi_target = $(basename $(wildcard *.texi.m4))
texigen_html_target = $(texi_m4_files:.texi.m4=.html)

html_target = $(texigen_html_target) AUTHORS.html fdl.html


all: $(html_target)

dvi: $(basename $(texi_m4_files)) solfege.texi fdl.texi
	texi2dvi solfege.texi

data-installfiles = $(html_target) GPL.html
dist_files = Makefile $(wildcard *.m4) GPL.html fdl.texi

$(texi_target): texidefinitions.m4

%.html: $(depth)/topdocs/%.texi
	makeinfo --no-headers --html --no-split $< > $@

%.texi: %.texi.m4
	$(M4) --prefix-builtins $< > $@
%.html: %.texi
	makeinfo --no-headers --force --html $< > $@ || true

install: data-install

uninstall: data-uninstall

clean:
	rm -f $(html_target)
	rm -f *.aux *.cp *.dvi *.fn *.ky *.log *.pg *.toc *.tp *.vr *.info *.cps
	rm -f $(texi_target)

distclean: clean
