=== online-docs/no/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ../..
name = online-docs/no

include $(depth)/Makefile.inc

m4files = $(wildcard *.html.m4)
html_TARGET = $(basename $(m4files))

data-installfiles = $(html_TARGET)
dist_files = Makefile $(wildcard *.m4)

all: $(html_TARGET)

$(html_TARGET): definitions.m4

%.html: %.html.m4
	$(M4) --prefix-builtins $< > $@

install: data-install

uninstall: data-uninstall

clean:

distclean: clean
	rm -f $(basename $(m4files))
